///
// @file sapp2API.h
// @brief header file generate from sapp_2.kra
// @details
// @author This software is contributed or developed by KYOCERA Corporation.
// @copyright (C) 2022 KYOCERA Corporation
//
// SPDX-License-Identifier: MIT
//
///

// Define to prevent recursive inclusion -----------------------
#ifndef _SAPP_2_KRA_
#define _SAPP_2_KRA_

#ifdef C_SYNTAX
#define KC_EXPAND_RECIPE
#endif // C_SYNTAX

#ifndef KC_EXPAND_RECIPE

//////////////////////////////////////////////////////////////////
// *** define declaration that is not for recipe users *** //
//////////////////////////////////////////////////////////////////

#include "eventLib.h"

//////////////////////////////////////////////////////////////////
// API function //
//////////////////////////////////////////////////////////////////
// Initialize
#define UNSYNC_EVENT_INIT 0
#define SA2_Init() \
  EAPI_SendEvent(EAPI_TASKID_SAPP2,UNSYNC_EVENT_INIT,EAPI_UNSYNC_NORESULT,EAPI_TIMEOUT_ZERO)
// Set status of test user application
#define SA2_EVENT_SYNC_SET_MAIN_APP_SATUS 256
#define SA2_SetMainAppStatus(status) \
  EAPI_SendEvent(EAPI_TASKID_SAPP2,SA2_EVENT_SYNC_SET_MAIN_APP_SATUS,EAPI_SYNC_RESULT,1000,EAPI_VTYPE_U32,status)
//////////////////////////////////////////////////////////////////
// common define //
//////////////////////////////////////////////////////////////////
// test define
#define SA2_TEST 0x02

#else

//////////////////////////////////////////////////////////////////
// *** define declaration for recipe users *** //
//////////////////////////////////////////////////////////////////
#include "taskid.h"
#include "eventLib.h"

//////////////////////////////////////////////////////////////////
// API function //
//////////////////////////////////////////////////////////////////
// Initialize
#define UNSYNC_EVENT_INIT 0
func sys_api_SA2_Init() {
  return(rcplib_TASK_SendEvent(EAPI_TASKID_SAPP2,UNSYNC_EVENT_INIT,EAPI_UNSYNC_NORESULT,EAPI_TIMEOUT_ZERO));
}
#define SA2_Init() sys_api_SA2_Init()
// Set status of test user application
#define SA2_EVENT_SYNC_SET_MAIN_APP_SATUS 256
func sys_api_SA2_SetMainAppStatus(uint32 status) {
  rcplib_TASK_SetArg(EAPI_VTYPE_U32,status);
  return(rcplib_TASK_SendEvent(EAPI_TASKID_SAPP2,SA2_EVENT_SYNC_SET_MAIN_APP_SATUS,EAPI_SYNC_RESULT,1000));
}
#define SA2_SetMainAppStatus(status) sys_api_SA2_SetMainAppStatus(status)
//////////////////////////////////////////////////////////////////
// common define //
//////////////////////////////////////////////////////////////////
// test define
#define SA2_TEST 0x02

#endif

#endif
