///
// @file sapp5API.h
// @brief header file generate from sapp_5.kra
// @details
// @author This software is contributed or developed by KYOCERA Corporation.
// @copyright (C) 2022 KYOCERA Corporation
//
// SPDX-License-Identifier: MIT
//
///

// Define to prevent recursive inclusion -----------------------
#ifndef _SAPP_5_KRA_
#define _SAPP_5_KRA_

#ifdef C_SYNTAX
#define KC_EXPAND_RECIPE
#endif // C_SYNTAX

#ifndef KC_EXPAND_RECIPE

//////////////////////////////////////////////////////////////////
// *** define declaration that is not for recipe users *** //
//////////////////////////////////////////////////////////////////

#include "eventLib.h"

//////////////////////////////////////////////////////////////////
// API function //
//////////////////////////////////////////////////////////////////
// Initialize
#define UNSYNC_EVENT_INIT 0
#define SA5_Init() \
  EAPI_SendEvent(EAPI_TASKID_SAPP5,UNSYNC_EVENT_INIT,EAPI_UNSYNC_NORESULT,EAPI_TIMEOUT_ZERO)
// Set status of test user application
#define SA5_EVENT_SYNC_SET_MAIN_APP_SATUS 256
#define SA5_SetMainAppStatus(status) \
  EAPI_SendEvent(EAPI_TASKID_SAPP5,SA5_EVENT_SYNC_SET_MAIN_APP_SATUS,EAPI_SYNC_RESULT,1000,EAPI_VTYPE_U32,status)
//////////////////////////////////////////////////////////////////
// common define //
//////////////////////////////////////////////////////////////////
// test define
#define SA5_TEST 0x05

#else

//////////////////////////////////////////////////////////////////
// *** define declaration for recipe users *** //
//////////////////////////////////////////////////////////////////
#include "taskid.h"
#include "eventLib.h"

//////////////////////////////////////////////////////////////////
// API function //
//////////////////////////////////////////////////////////////////
// Initialize
#define UNSYNC_EVENT_INIT 0
func sys_api_SA5_Init() {
  return(rcplib_TASK_SendEvent(EAPI_TASKID_SAPP5,UNSYNC_EVENT_INIT,EAPI_UNSYNC_NORESULT,EAPI_TIMEOUT_ZERO));
}
#define SA5_Init() sys_api_SA5_Init()
// Set status of test user application
#define SA5_EVENT_SYNC_SET_MAIN_APP_SATUS 256
func sys_api_SA5_SetMainAppStatus(uint32 status) {
  rcplib_TASK_SetArg(EAPI_VTYPE_U32,status);
  return(rcplib_TASK_SendEvent(EAPI_TASKID_SAPP5,SA5_EVENT_SYNC_SET_MAIN_APP_SATUS,EAPI_SYNC_RESULT,1000));
}
#define SA5_SetMainAppStatus(status) sys_api_SA5_SetMainAppStatus(status)
//////////////////////////////////////////////////////////////////
// common define //
//////////////////////////////////////////////////////////////////
// test define
#define SA5_TEST 0x05

#endif

#endif
