///
// @file sensorAPI.h
// @brief header file generate from sdev_sensor.kra
// @details
// @author This software is contributed or developed by KYOCERA Corporation.
// @copyright (C) 2022 KYOCERA Corporation
//
// SPDX-License-Identifier: MIT
//
///

// Define to prevent recursive inclusion -----------------------
#ifndef _SDEV_SENSOR_KRA_
#define _SDEV_SENSOR_KRA_

#ifdef C_SYNTAX
#define KC_EXPAND_RECIPE
#endif // C_SYNTAX

#ifndef KC_EXPAND_RECIPE

//////////////////////////////////////////////////////////////////
// *** define declaration that is not for recipe users *** //
//////////////////////////////////////////////////////////////////

#include "eventLib.h"

//////////////////////////////////////////////////////////////////
// API function //
//////////////////////////////////////////////////////////////////
// Initialize
#define SNS_EVENT_UNSYNC_INIT 0
#define SNS_Init() \
  EAPI_SendEvent(EAPI_TASKID_SNS,SNS_EVENT_UNSYNC_INIT,EAPI_UNSYNC_NORESULT,EAPI_TIMEOUT_ZERO)
// Set Delay OFF Time
#define SNS_EVENT_SYNC_SET_DELAY_OFFTIME 256
#define SNS_SetDelayOffTime(delay_time) \
  EAPI_SendEvent(EAPI_TASKID_SNS,SNS_EVENT_SYNC_SET_DELAY_OFFTIME,EAPI_SYNC_RESULT,1000,EAPI_VTYPE_U32,delay_time)
// [ACC] Get Data Oneshot
#define ACC_EVENT_UNSYNC_GET_DATA_ONESHOT 257
#define ACC_GetDataOneShot(_sync,_timeout,interval) \
  EAPI_SendEvent(EAPI_TASKID_SNS,ACC_EVENT_UNSYNC_GET_DATA_ONESHOT,_sync,_timeout,EAPI_VTYPE_I32,interval)
// [ACC] Set Device Measure
#define ACC_EVENT_SYNC_SET_DEVICE_MEASURE 258
#define ACC_SetDeviceMeasure(per,odr) \
  EAPI_SendEvent(EAPI_TASKID_SNS,ACC_EVENT_SYNC_SET_DEVICE_MEASURE,EAPI_SYNC_RESULT,1000,EAPI_VTYPE_I8,per,EAPI_VTYPE_I8,odr)
// [ACC] Set Vibration Detect Mode
#define ACC_EVENT_SYNC_SET_VIBRATION_MODE 259
#define ACC_SetVibrationMode(sw,notify_event_id) \
  EAPI_SendEvent(EAPI_TASKID_SNS,ACC_EVENT_SYNC_SET_VIBRATION_MODE,EAPI_SYNC_RESULT,1000,EAPI_VTYPE_I8,sw,EAPI_VTYPE_U8,notify_event_id)
// [ACC] Start Polling
#define ACC_EVENT_SYNC_START_POLLING 260
#define ACC_StartPolling(interval,notify_event_id) \
  EAPI_SendEvent(EAPI_TASKID_SNS,ACC_EVENT_SYNC_START_POLLING,EAPI_SYNC_RESULT,1000,EAPI_VTYPE_I32,interval,EAPI_VTYPE_I8,notify_event_id)
// [GYR] Get Data Oneshot
#define GYR_EVENT_SYNC_GET_DATA_ONESHOT 261
#define GYR_GetDataOneShot(_sync,_timeout,interval) \
  EAPI_SendEvent(EAPI_TASKID_SNS,GYR_EVENT_SYNC_GET_DATA_ONESHOT,_sync,_timeout,EAPI_VTYPE_I32,interval)
// [GYR] Set Device Measure
#define GYR_EVENT_SYNC_SET_DEVICE_MEASURE 262
#define GYR_SetDeviceMeasure(per,odr) \
  EAPI_SendEvent(EAPI_TASKID_SNS,GYR_EVENT_SYNC_SET_DEVICE_MEASURE,EAPI_SYNC_RESULT,1000,EAPI_VTYPE_I8,per,EAPI_VTYPE_I8,odr)
// [GYR] Start Polling
#define GYR_EVENT_SYNC_START_POLLING 263
#define GYR_StartPolling(interval,notify_event_id) \
  EAPI_SendEvent(EAPI_TASKID_SNS,GYR_EVENT_SYNC_START_POLLING,EAPI_SYNC_RESULT,1000,EAPI_VTYPE_I32,interval,EAPI_VTYPE_I8,notify_event_id)
// [ACC/GYR] Accel Gyro Device ID acquisition(API for Inspection)
#define ACC_GYR_EVENT_SYNC_ID_CHECK_INSPECT 264
#define ACC_GYR_IdCheckInspect(arg0) \
  EAPI_SendEvent(EAPI_TASKID_SNS,ACC_GYR_EVENT_SYNC_ID_CHECK_INSPECT,EAPI_SYNC_RESULT,1000,EAPI_VTYPE_I8,arg0)
// [ACC/GYR] Accel Gyro Power On(API for Inspection)
#define ACC_GYR_EVENT_SYNC_ON_INSPECT 265
#define ACC_GYR_OnInspect(arg0) \
  EAPI_SendEvent(EAPI_TASKID_SNS,ACC_GYR_EVENT_SYNC_ON_INSPECT,EAPI_SYNC_RESULT,1000,EAPI_VTYPE_I8,arg0)
// [ACC/GYR] Accel Gyro Power Off(API for Inspection)
#define ACC_GYR_EVENT_SYNC_OFF_INSPECT 266
#define ACC_GYR_OffInspect(arg0) \
  EAPI_SendEvent(EAPI_TASKID_SNS,ACC_GYR_EVENT_SYNC_OFF_INSPECT,EAPI_SYNC_RESULT,1000,EAPI_VTYPE_I8,arg0)
// [ACC] Accel data acquisition(API for Inspection)
#define ACC_EVENT_GET_DATA_INSPECT 267
#define ACC_GetDataInspect(arg0) \
  EAPI_SendEvent(EAPI_TASKID_SNS,ACC_EVENT_GET_DATA_INSPECT,EAPI_SYNC_RESULT,1000,EAPI_VTYPE_I8,arg0)
// [ACC] Accel self-test(API for Inspection)
#define ACC_EVENT_SELF_TEST_INSPECT 268
#define ACC_SelfTestInspect(_timeout,arg0) \
  EAPI_SendEvent(EAPI_TASKID_SNS,ACC_EVENT_SELF_TEST_INSPECT,EAPI_SYNC_RESULT,_timeout,EAPI_VTYPE_I8,arg0)
// [GYR] Gyro data acquisition(API for Inspection)
#define GYR_EVENT_GET_DATA_INSPECT 269
#define GYR_GetDataInspect(arg0) \
  EAPI_SendEvent(EAPI_TASKID_SNS,GYR_EVENT_GET_DATA_INSPECT,EAPI_SYNC_RESULT,1000,EAPI_VTYPE_I8,arg0)
// [GYR] Gyro self-test(API for Inspection)
#define GYR_EVENT_SELF_TEST_INSPECT 270
#define GYR_SelfTestInspect(_timeout,arg0) \
  EAPI_SendEvent(EAPI_TASKID_SNS,GYR_EVENT_SELF_TEST_INSPECT,EAPI_SYNC_RESULT,_timeout,EAPI_VTYPE_I8,arg0)
// [ACC] INT signal check(API for Inspection)
#define ACC_EVENT_GET_INT_STATUS_INSPECT 271
#define ACC_GetIntStatusInspect(arg0) \
  EAPI_SendEvent(EAPI_TASKID_SNS,ACC_EVENT_GET_INT_STATUS_INSPECT,EAPI_SYNC_RESULT,1000,EAPI_VTYPE_I8,arg0)
// [ACC/GYR] Power Control(API for Inspection)
#define ACC_GYR_EVENT_SYNC_SET_POWER_INSPECT 272
#define ACC_GYR_SetPowerInspect(arg0) \
  EAPI_SendEvent(EAPI_TASKID_SNS,ACC_GYR_EVENT_SYNC_SET_POWER_INSPECT,EAPI_SYNC_RESULT,1000,EAPI_VTYPE_I8,arg0)
// [ACC] Set Dynamic Range
#define ACC_EVENT_SYNC_SET_DEVICE_RANGE 273
#define ACC_SetDeviceRange(range) \
  EAPI_SendEvent(EAPI_TASKID_SNS,ACC_EVENT_SYNC_SET_DEVICE_RANGE,EAPI_SYNC_RESULT,1000,EAPI_VTYPE_U8,range)
// [GYR] Set Dynamic Range
#define GYR_EVENT_SYNC_SET_DEVICE_RANGE 274
#define GYR_SetDeviceRange(range) \
  EAPI_SendEvent(EAPI_TASKID_SNS,GYR_EVENT_SYNC_SET_DEVICE_RANGE,EAPI_SYNC_RESULT,1000,EAPI_VTYPE_U8,range)
#define TEST_GET_INFO 275
#define Test_get_info(app,exam) \
  EAPI_SendEvent(EAPI_TASKID_SNS,TEST_GET_INFO,EAPI_SYNC_RESULT,1000,EAPI_VTYPE_STR,app,EAPI_VTYPE_STR,exam)
//////////////////////////////////////////////////////////////////
// common define //
//////////////////////////////////////////////////////////////////
// 振動検出有効/無効
#define ACC_GYRO_ONESHOT_SYNC 0
// 振動検出有効/無効
#define ACC_VIB_ENABLE 1
#define ACC_VIB_DISABLE 0
// 割り込み通知
#define UNSYNC_EVENT_VIB_INTR 2
// ODR周波数
#define ACC_ODR_NONE -1
#define ACC_ODR1_002Hz 1
#define ACC_ODR2_013Hz 2
#define ACC_ODR3_026Hz 3
#define ACC_ODR4_052Hz 4
#define ACC_ODR5_104Hz 5
#define ACC_ODR6_208Hz 6
#define GYRO_ODR_NONE ACC_ODR_NONE
#define GYRO_ODR1_013Hz 7
#define GYRO_ODR2_026Hz 8
#define GYRO_ODR3_052Hz 9
#define GYRO_ODR4_104Hz 10
#define GYRO_ODR5_208Hz 11
//加速度測定モード
#define ACC_LOW_PERF 0
#define ACC_HIGH_PERF 1
#define ACC_NONE_PERF 2
//ジャイロ測定モード
#define GYR_LOW_PERF 4
#define GYR_HIGH_PERF 8
#define GYR_NONE_PERF ACC_NONE_PERF
//加速度測定レンジ
#define ACC_DRANGE_2 1
#define ACC_DRANGE_4 2
#define ACC_DRANGE_8 4
#define ACC_DRANGE_16 8
//ジャイロ測定レンジ
#define GYR_DRANGE_250 1
#define GYR_DRANGE_500 2
#define GYR_DRANGE_1000 4
#define GYR_DRANGE_2000 8
//ジャイロAPIのラッパーマクロ
#define GYR_GetDataOneshot(sync,timeout,interval) GYR_GetDataOneShot(sync,timeout,interval)

#else

//////////////////////////////////////////////////////////////////
// *** define declaration for recipe users *** //
//////////////////////////////////////////////////////////////////
#include "taskid.h"
#include "eventLib.h"

//////////////////////////////////////////////////////////////////
// API function //
//////////////////////////////////////////////////////////////////
// Initialize
#define SNS_EVENT_UNSYNC_INIT 0
func sys_api_SNS_Init() {
  return(rcplib_TASK_SendEvent(EAPI_TASKID_SNS,SNS_EVENT_UNSYNC_INIT,EAPI_UNSYNC_NORESULT,EAPI_TIMEOUT_ZERO));
}
#define SNS_Init() sys_api_SNS_Init()
// Set Delay OFF Time
#define SNS_EVENT_SYNC_SET_DELAY_OFFTIME 256
#ifndef YIELD_TO_BASIC_INFOROMATION // for VS code view
func sys_api_SNS_SetDelayOffTime(uint32 delay_time) {
  rcplib_TASK_SetArg(EAPI_VTYPE_U32,delay_time);
  return(rcplib_TASK_SendEvent(EAPI_TASKID_SNS,SNS_EVENT_SYNC_SET_DELAY_OFFTIME,EAPI_SYNC_RESULT,1000));
}
#define SNS_SetDelayOffTime(delay_time) sys_api_SNS_SetDelayOffTime(delay_time)
#endif // YIELD_TO_BASIC_INFOROMATION
// [ACC] Get Data Oneshot
#define ACC_EVENT_UNSYNC_GET_DATA_ONESHOT 257
#ifndef YIELD_TO_BASIC_INFOROMATION // for VS code view
func sys_api_ACC_GetDataOneShot(uint8 sync,int32 timeout,int32 interval) {
  rcplib_TASK_SetArg(EAPI_VTYPE_I32,interval);
  return(rcplib_TASK_SendEvent(EAPI_TASKID_SNS,ACC_EVENT_UNSYNC_GET_DATA_ONESHOT,sync,timeout));
}
#define ACC_GetDataOneShot(_sync,_timeout,interval) sys_api_ACC_GetDataOneShot(_sync,_timeout,interval)
#endif // YIELD_TO_BASIC_INFOROMATION
// [ACC] Set Device Measure
#define ACC_EVENT_SYNC_SET_DEVICE_MEASURE 258
#ifndef YIELD_TO_BASIC_INFOROMATION // for VS code view
func sys_api_ACC_SetDeviceMeasure(int8 per, int8 odr) {
  rcplib_TASK_SetArg(EAPI_VTYPE_I8,per);
  rcplib_TASK_SetArg(EAPI_VTYPE_I8,odr);
  return(rcplib_TASK_SendEvent(EAPI_TASKID_SNS,ACC_EVENT_SYNC_SET_DEVICE_MEASURE,EAPI_SYNC_RESULT,1000));
}
#define ACC_SetDeviceMeasure(per,odr) sys_api_ACC_SetDeviceMeasure(per,odr)
#endif // YIELD_TO_BASIC_INFOROMATION
// [ACC] Set Vibration Detect Mode
#define ACC_EVENT_SYNC_SET_VIBRATION_MODE 259
#ifndef YIELD_TO_BASIC_INFOROMATION // for VS code view
func sys_api_ACC_SetVibrationMode(int8 sw, uint8 notify_event_id) {
  rcplib_TASK_SetArg(EAPI_VTYPE_I8,sw);
  rcplib_TASK_SetArg(EAPI_VTYPE_U8,notify_event_id);
  return(rcplib_TASK_SendEvent(EAPI_TASKID_SNS,ACC_EVENT_SYNC_SET_VIBRATION_MODE,EAPI_SYNC_RESULT,1000));
}
#define ACC_SetVibrationMode(sw,notify_event_id) sys_api_ACC_SetVibrationMode(sw,notify_event_id)
#endif // YIELD_TO_BASIC_INFOROMATION
// [ACC] Start Polling
#define ACC_EVENT_SYNC_START_POLLING 260
#ifndef YIELD_TO_BASIC_INFOROMATION // for VS code view
func sys_api_ACC_StartPolling(int32 interval, int8 notify_event_id) {
  rcplib_TASK_SetArg(EAPI_VTYPE_I32,interval);
  rcplib_TASK_SetArg(EAPI_VTYPE_I8,notify_event_id);
  return(rcplib_TASK_SendEvent(EAPI_TASKID_SNS,ACC_EVENT_SYNC_START_POLLING,EAPI_SYNC_RESULT,1000));
}
#define ACC_StartPolling(interval,notify_event_id) sys_api_ACC_StartPolling(interval,notify_event_id)
#endif // YIELD_TO_BASIC_INFOROMATION
// [GYR] Get Data Oneshot
#define GYR_EVENT_SYNC_GET_DATA_ONESHOT 261
#ifndef YIELD_TO_BASIC_INFOROMATION // for VS code view
func sys_api_GYR_GetDataOneShot(uint8 sync,int32 timeout,int32 interval) {
  rcplib_TASK_SetArg(EAPI_VTYPE_I32,interval);
  return(rcplib_TASK_SendEvent(EAPI_TASKID_SNS,GYR_EVENT_SYNC_GET_DATA_ONESHOT,sync,timeout));
}
#define GYR_GetDataOneShot(_sync,_timeout,interval) sys_api_GYR_GetDataOneShot(_sync,_timeout,interval)
#endif // YIELD_TO_BASIC_INFOROMATION
// [GYR] Set Device Measure
#define GYR_EVENT_SYNC_SET_DEVICE_MEASURE 262
#ifndef YIELD_TO_BASIC_INFOROMATION // for VS code view
func sys_api_GYR_SetDeviceMeasure(int8 per, int8 odr) {
  rcplib_TASK_SetArg(EAPI_VTYPE_I8,per);
  rcplib_TASK_SetArg(EAPI_VTYPE_I8,odr);
  return(rcplib_TASK_SendEvent(EAPI_TASKID_SNS,GYR_EVENT_SYNC_SET_DEVICE_MEASURE,EAPI_SYNC_RESULT,1000));
}
#define GYR_SetDeviceMeasure(per,odr) sys_api_GYR_SetDeviceMeasure(per,odr)
#endif // YIELD_TO_BASIC_INFOROMATION
// [GYR] Start Polling
#define GYR_EVENT_SYNC_START_POLLING 263
#ifndef YIELD_TO_BASIC_INFOROMATION // for VS code view
func sys_api_GYR_StartPolling(int32 interval, int8 notify_event_id) {
  rcplib_TASK_SetArg(EAPI_VTYPE_I32,interval);
  rcplib_TASK_SetArg(EAPI_VTYPE_I8,notify_event_id);
  return(rcplib_TASK_SendEvent(EAPI_TASKID_SNS,GYR_EVENT_SYNC_START_POLLING,EAPI_SYNC_RESULT,1000));
}
#define GYR_StartPolling(interval,notify_event_id) sys_api_GYR_StartPolling(interval,notify_event_id)
#endif // YIELD_TO_BASIC_INFOROMATION
// [ACC/GYR] Accel Gyro Device ID acquisition(API for Inspection)
#define ACC_GYR_EVENT_SYNC_ID_CHECK_INSPECT 264
#ifndef YIELD_TO_BASIC_INFOROMATION // for VS code view
func sys_api_ACC_GYR_IdCheckInspect(int8 arg0) {
  rcplib_TASK_SetArg(EAPI_VTYPE_I8,arg0);
  return(rcplib_TASK_SendEvent(EAPI_TASKID_SNS,ACC_GYR_EVENT_SYNC_ID_CHECK_INSPECT,EAPI_SYNC_RESULT,1000));
}
#define ACC_GYR_IdCheckInspect(arg0) sys_api_ACC_GYR_IdCheckInspect(arg0)
#endif // YIELD_TO_BASIC_INFOROMATION
// [ACC/GYR] Accel Gyro Power On(API for Inspection)
#define ACC_GYR_EVENT_SYNC_ON_INSPECT 265
#ifndef YIELD_TO_BASIC_INFOROMATION // for VS code view
func sys_api_ACC_GYR_OnInspect(int8 arg0) {
  rcplib_TASK_SetArg(EAPI_VTYPE_I8,arg0);
  return(rcplib_TASK_SendEvent(EAPI_TASKID_SNS,ACC_GYR_EVENT_SYNC_ON_INSPECT,EAPI_SYNC_RESULT,1000));
}
#define ACC_GYR_OnInspect(arg0) sys_api_ACC_GYR_OnInspect(arg0)
#endif // YIELD_TO_BASIC_INFOROMATION
// [ACC/GYR] Accel Gyro Power Off(API for Inspection)
#define ACC_GYR_EVENT_SYNC_OFF_INSPECT 266
#ifndef YIELD_TO_BASIC_INFOROMATION // for VS code view
func sys_api_ACC_GYR_OffInspect(int8 arg0) {
  rcplib_TASK_SetArg(EAPI_VTYPE_I8,arg0);
  return(rcplib_TASK_SendEvent(EAPI_TASKID_SNS,ACC_GYR_EVENT_SYNC_OFF_INSPECT,EAPI_SYNC_RESULT,1000));
}
#define ACC_GYR_OffInspect(arg0) sys_api_ACC_GYR_OffInspect(arg0)
#endif // YIELD_TO_BASIC_INFOROMATION
// [ACC] Accel data acquisition(API for Inspection)
#define ACC_EVENT_GET_DATA_INSPECT 267
#ifndef YIELD_TO_BASIC_INFOROMATION // for VS code view
func sys_api_ACC_GetDataInspect(int8 arg0) {
  rcplib_TASK_SetArg(EAPI_VTYPE_I8,arg0);
  return(rcplib_TASK_SendEvent(EAPI_TASKID_SNS,ACC_EVENT_GET_DATA_INSPECT,EAPI_SYNC_RESULT,1000));
}
#define ACC_GetDataInspect(arg0) sys_api_ACC_GetDataInspect(arg0)
#endif // YIELD_TO_BASIC_INFOROMATION
// [ACC] Accel self-test(API for Inspection)
#define ACC_EVENT_SELF_TEST_INSPECT 268
#ifndef YIELD_TO_BASIC_INFOROMATION // for VS code view
func sys_api_ACC_SelfTestInspect(int32 timeout,int8 arg0) {
  rcplib_TASK_SetArg(EAPI_VTYPE_I8,arg0);
  return(rcplib_TASK_SendEvent(EAPI_TASKID_SNS,ACC_EVENT_SELF_TEST_INSPECT,EAPI_SYNC_RESULT,timeout));
}
#define ACC_SelfTestInspect(_timeout,arg0) sys_api_ACC_SelfTestInspect(_timeout,arg0)
#endif // YIELD_TO_BASIC_INFOROMATION
// [GYR] Gyro data acquisition(API for Inspection)
#define GYR_EVENT_GET_DATA_INSPECT 269
#ifndef YIELD_TO_BASIC_INFOROMATION // for VS code view
func sys_api_GYR_GetDataInspect(int8 arg0) {
  rcplib_TASK_SetArg(EAPI_VTYPE_I8,arg0);
  return(rcplib_TASK_SendEvent(EAPI_TASKID_SNS,GYR_EVENT_GET_DATA_INSPECT,EAPI_SYNC_RESULT,1000));
}
#define GYR_GetDataInspect(arg0) sys_api_GYR_GetDataInspect(arg0)
#endif // YIELD_TO_BASIC_INFOROMATION
// [GYR] Gyro self-test(API for Inspection)
#define GYR_EVENT_SELF_TEST_INSPECT 270
#ifndef YIELD_TO_BASIC_INFOROMATION // for VS code view
func sys_api_GYR_SelfTestInspect(int32 timeout,int8 arg0) {
  rcplib_TASK_SetArg(EAPI_VTYPE_I8,arg0);
  return(rcplib_TASK_SendEvent(EAPI_TASKID_SNS,GYR_EVENT_SELF_TEST_INSPECT,EAPI_SYNC_RESULT,timeout));
}
#define GYR_SelfTestInspect(_timeout,arg0) sys_api_GYR_SelfTestInspect(_timeout,arg0)
#endif // YIELD_TO_BASIC_INFOROMATION
// [ACC] INT signal check(API for Inspection)
#define ACC_EVENT_GET_INT_STATUS_INSPECT 271
#ifndef YIELD_TO_BASIC_INFOROMATION // for VS code view
func sys_api_ACC_GetIntStatusInspect(int8 arg0) {
  rcplib_TASK_SetArg(EAPI_VTYPE_I8,arg0);
  return(rcplib_TASK_SendEvent(EAPI_TASKID_SNS,ACC_EVENT_GET_INT_STATUS_INSPECT,EAPI_SYNC_RESULT,1000));
}
#define ACC_GetIntStatusInspect(arg0) sys_api_ACC_GetIntStatusInspect(arg0)
#endif // YIELD_TO_BASIC_INFOROMATION
// [ACC/GYR] Power Control(API for Inspection)
#define ACC_GYR_EVENT_SYNC_SET_POWER_INSPECT 272
#ifndef YIELD_TO_BASIC_INFOROMATION // for VS code view
func sys_api_ACC_GYR_SetPowerInspect(int8 arg0) {
  rcplib_TASK_SetArg(EAPI_VTYPE_I8,arg0);
  return(rcplib_TASK_SendEvent(EAPI_TASKID_SNS,ACC_GYR_EVENT_SYNC_SET_POWER_INSPECT,EAPI_SYNC_RESULT,1000));
}
#define ACC_GYR_SetPowerInspect(arg0) sys_api_ACC_GYR_SetPowerInspect(arg0)
#endif // YIELD_TO_BASIC_INFOROMATION
// [ACC] Set Dynamic Range
#define ACC_EVENT_SYNC_SET_DEVICE_RANGE 273
#ifndef YIELD_TO_BASIC_INFOROMATION // for VS code view
func sys_api_ACC_SetDeviceRange(uint8 range) {
  rcplib_TASK_SetArg(EAPI_VTYPE_U8,range);
  return(rcplib_TASK_SendEvent(EAPI_TASKID_SNS,ACC_EVENT_SYNC_SET_DEVICE_RANGE,EAPI_SYNC_RESULT,1000));
}
#define ACC_SetDeviceRange(range) sys_api_ACC_SetDeviceRange(range)
#endif // YIELD_TO_BASIC_INFOROMATION
// [GYR] Set Dynamic Range
#define GYR_EVENT_SYNC_SET_DEVICE_RANGE 274
#ifndef YIELD_TO_BASIC_INFOROMATION // for VS code view
func sys_api_GYR_SetDeviceRange(uint8 range) {
  rcplib_TASK_SetArg(EAPI_VTYPE_U8,range);
  return(rcplib_TASK_SendEvent(EAPI_TASKID_SNS,GYR_EVENT_SYNC_SET_DEVICE_RANGE,EAPI_SYNC_RESULT,1000));
}
#define GYR_SetDeviceRange(range) sys_api_GYR_SetDeviceRange(range)
#endif // YIELD_TO_BASIC_INFOROMATION
#define TEST_GET_INFO 275
#ifndef YIELD_TO_BASIC_INFOROMATION // for VS code view
func sys_api_Test_get_info(str app[32], str exam[32]) {
  rcplib_TASK_SetArg(EAPI_VTYPE_STR,app);
  rcplib_TASK_SetArg(EAPI_VTYPE_STR,exam);
  return(rcplib_TASK_SendEvent(EAPI_TASKID_SNS,TEST_GET_INFO,EAPI_SYNC_RESULT,1000));
}
#define Test_get_info(app,exam) sys_api_Test_get_info(app,exam)
#endif // YIELD_TO_BASIC_INFOROMATION
//////////////////////////////////////////////////////////////////
// common define //
//////////////////////////////////////////////////////////////////
// 振動検出有効/無効
#define ACC_GYRO_ONESHOT_SYNC 0
// 振動検出有効/無効
#define ACC_VIB_ENABLE 1
#define ACC_VIB_DISABLE 0
// 割り込み通知
#define UNSYNC_EVENT_VIB_INTR 2
// ODR周波数
#define ACC_ODR_NONE -1
#define ACC_ODR1_002Hz 1
#define ACC_ODR2_013Hz 2
#define ACC_ODR3_026Hz 3
#define ACC_ODR4_052Hz 4
#define ACC_ODR5_104Hz 5
#define ACC_ODR6_208Hz 6
#define GYRO_ODR_NONE ACC_ODR_NONE
#define GYRO_ODR1_013Hz 7
#define GYRO_ODR2_026Hz 8
#define GYRO_ODR3_052Hz 9
#define GYRO_ODR4_104Hz 10
#define GYRO_ODR5_208Hz 11
//加速度測定モード
#define ACC_LOW_PERF 0
#define ACC_HIGH_PERF 1
#define ACC_NONE_PERF 2
//ジャイロ測定モード
#define GYR_LOW_PERF 4
#define GYR_HIGH_PERF 8
#define GYR_NONE_PERF ACC_NONE_PERF
//加速度測定レンジ
#define ACC_DRANGE_2 1
#define ACC_DRANGE_4 2
#define ACC_DRANGE_8 4
#define ACC_DRANGE_16 8
//ジャイロ測定レンジ
#define GYR_DRANGE_250 1
#define GYR_DRANGE_500 2
#define GYR_DRANGE_1000 4
#define GYR_DRANGE_2000 8
//ジャイロAPIのラッパーマクロ
#define GYR_GetDataOneshot(sync,timeout,interval) GYR_GetDataOneShot(sync,timeout,interval)

#endif

#endif
