﻿/**
 * @file bufferLib.h
 * @brief buffer library
 * @details
 * @author This software is contributed or developed by KYOCERA Corporation.
 * @copyright (C) 2022 KYOCERA Corporation
 * 
 * SPDX-License-Identifier: MIT
 * 
 */
/* Define to prevent recursive inclusion -----------------------*/
#ifndef __BUFFER_LIB_H__
#define __BUFFER_LIB_H__

/****************************************************************/
/* include header file */
/****************************************************************/

/****************************************************************/
/* common define */
/****************************************************************/
#define FIFOBUF_DATAFORMAT_FREE 0xff
#define FIFOBUF_ARG_MAX 32

// 特殊インデクス
#define IDXBUF_IDX_TOP 0
#define IDXBUF_IDX_LAST -1

/****************************************************************/
/* common typedef (other than enum/struct/union) */
/****************************************************************/

/****************************************************************/
/* common enum */
/****************************************************************/
// バッファID

// 固定長バッファ
#define FIXBUF_ID_LOG 0
#define FIXBUF_ID_BLE_SENCE 1
#define FIXBUF_ID_BLE_IBEACON 2
#define FIXBUF_ID_BLE_LONGRANGE 3
#define FIXBUF_ID_MAX 4

// FIFOバッファ
#define FIFOBUF_ID_RECIPE_0 0
#define FIFOBUF_ID_RECIPE_1 1
#define FIFOBUF_ID_RECIPE_2 2
#define FIFOBUF_ID_RECIPE_3 3
#define FIFOBUF_ID_RECIPE_4 4
#define FIFOBUF_ID_RECIPE_5 5
#define FIFOBUF_ID_RECIPE_6 6
#define FIFOBUF_ID_RECIPE_7 7
#define FIFOBUF_ID_RECIPE_8 8
#define FIFOBUF_ID_RECIPE_9 9
#define FIFOBUF_ID_RECIPE_10 10
#define FIFOBUF_ID_RECIPE_11 11
#define FIFOBUF_ID_RECIPE_12 12
#define FIFOBUF_ID_RECIPE_13 13
#define FIFOBUF_ID_RECIPE_14 14
#define FIFOBUF_ID_RECIPE_15 15
#define FIFOBUF_ID_RECIPE_16 16
#define FIFOBUF_ID_RECIPE_17 17
#define FIFOBUF_ID_RECIPE_18 18
#define FIFOBUF_ID_RECIPE_19 19
#define FIFOBUF_ID_RECIPE_20 20
#define FIFOBUF_ID_RECIPE_21 21
#define FIFOBUF_ID_RECIPE_22 22
#define FIFOBUF_ID_RECIPE_23 23
#define FIFOBUF_ID_RECIPE_24 24
#define FIFOBUF_ID_RECIPE_25 25
#define FIFOBUF_ID_RECIPE_26 26
#define FIFOBUF_ID_RECIPE_27 27
#define FIFOBUF_ID_RECIPE_28 28
#define FIFOBUF_ID_RECIPE_29 29
#define FIFOBUF_ID_RECIPE_30 30
#define FIFOBUF_ID_RECIPE_31 31
#define FIFOBUF_ID_SIO_RS485_RX 32
#define FIFOBUF_ID_SIO_RS485_API 33
#define FIFOBUF_ID_SIO_RS232_RX 34
#define FIFOBUF_ID_SIO_RS232_API 35
#define FIFOBUF_ID_SIO_CAN_RX 36
#define FIFOBUF_ID_SIO_CAN_API 37
#define FIFOBUF_ID_MAX 38

// インデクスバッファ
#define IDXBUF_ID_RECIPE_0 0
#define IDXBUF_ID_RECIPE_1 1
#define IDXBUF_ID_RECIPE_2 2
#define IDXBUF_ID_RECIPE_3 3
#define IDXBUF_ID_RECIPE_4 4
#define IDXBUF_ID_RECIPE_5 5
#define IDXBUF_ID_RECIPE_6 6
#define IDXBUF_ID_RECIPE_7 7
#define IDXBUF_ID_RECIPE_8 8
#define IDXBUF_ID_RECIPE_9 9
#define IDXBUF_ID_RECIPE_10 10
#define IDXBUF_ID_RECIPE_11 11
#define IDXBUF_ID_RECIPE_12 12
#define IDXBUF_ID_RECIPE_13 13
#define IDXBUF_ID_RECIPE_14 14
#define IDXBUF_ID_RECIPE_15 15
#define IDXBUF_ID_RECIPE_16 16
#define IDXBUF_ID_RECIPE_17 17
#define IDXBUF_ID_RECIPE_18 18
#define IDXBUF_ID_RECIPE_19 19
#define IDXBUF_ID_RECIPE_20 20
#define IDXBUF_ID_RECIPE_21 21
#define IDXBUF_ID_RECIPE_22 22
#define IDXBUF_ID_RECIPE_23 23
#define IDXBUF_ID_RECIPE_24 24
#define IDXBUF_ID_RECIPE_25 25
#define IDXBUF_ID_RECIPE_26 26
#define IDXBUF_ID_RECIPE_27 27
#define IDXBUF_ID_RECIPE_28 28
#define IDXBUF_ID_RECIPE_29 29
#define IDXBUF_ID_RECIPE_30 30
#define IDXBUF_ID_RECIPE_31 31
#define IDXBUF_ID_MAX 32

// オーバーライド指定
#define FIFOBUF_OVERWRITE_DISABLE 0
#define FIFOBUF_OVERWRITE_ENABLE 1

#define FIFOBUF_KIND_BIN 1
#define FIFOBUF_KIND_JSON 2
#define FIFOBUF_KIND_CSV 3

/****************************************************************/
/* common struct/union */
/****************************************************************/

/****************************************************************/
/* common variable */
/****************************************************************/

/****************************************************************/
/* common function */
/****************************************************************/

/****************************************************************/
/* common macro */
/****************************************************************/

/* Define to prevent recursive inclusion -----------------------*/
#endif
