﻿/**
 * @file logAPI.h
 * @brief log macro
 * @details 
 * @author This software is contributed or developed by KYOCERA Corporation.
 * @copyright (C) 2022 KYOCERA Corporation
 * 
 * SPDX-License-Identifier: MIT
 * 
 */
/* Define to prevent recursive inclusion -----------------------*/
#ifndef __LOGAPI_H__
#define __LOGAPI_H__

/****************************************************************/
/* include header file */
/****************************************************************/

/****************************************************************/
/* common define */
/****************************************************************/
#define ENGINE_LOG_D 0
#define ENGINE_LOG_L 1
#define ENGINE_LOG_M 2
#define ENGINE_LOG_H 3

#define LOGAPI_OUT_MAX 120

/****************************************************************/
/* common typedef (other than enum/struct/union) */
/****************************************************************/

/****************************************************************/
/* common enum */
/****************************************************************/

/****************************************************************/
/* common struct/union */
/****************************************************************/

/****************************************************************/
/* common variable */
/****************************************************************/

/****************************************************************/
/* common function */
/****************************************************************/

/****************************************************************/
/* common macro */
/****************************************************************/
#ifndef YIELD_TO_BASIC_INFOROMATION
//********** rcplib_SYS_LogPrint へのマクロ **********
// USBデバッグ機能有効化時のみ、USB(type-C) VirtualCOMポートにログ[D]を出力
#define rcplib_LOG_Print(a) rcplib_SYS_LogPrint(ENGINE_LOG_D,a)
// USBデバッグ機能有効化時のみ、USB(type-C) VirtualCOMポートにログ[L]を出力
#define rcplib_LOG_Low(a) rcplib_SYS_LogPrint(ENGINE_LOG_L,a)
// USBデバッグ機能設定に関わらず、Flash(不揮発領域への)ログ[M]を出力 ※Blocklyで利用
#define rcplib_LOG_Blockly(a) rcplib_SYS_LogPrint(ENGINE_LOG_M,a)
// USBデバッグ機能設定に関わらず、Flash(不揮発領域への)ログ[M]を出力
#define rcplib_LOG_Flash(a) rcplib_SYS_LogPrint(ENGINE_LOG_M,a)

//********** rcplib_SYS_LogPrintf へのマクロ **********
// USBデバッグ機能有効化時のみ、USB(type-C) VirtualCOMポートにログ[D]を出力
#define rcplib_LOG_Printf(...) rcplib_SYS_LogPrintf(ENGINE_LOG_D,__VA_ARGS__)
// USBデバッグ機能有効化時のみ、USB(type-C) VirtualCOMポートにログ[L]を出力
#define rcplib_LOG_Lowf(...) rcplib_SYS_LogPrintf(ENGINE_LOG_L,__VA_ARGS__)
// USBデバッグ機能設定に関わらず、Flash(不揮発領域への)ログ[M]を出力 ※Blocklyで利用
#define rcplib_LOG_Blocklyf(...) rcplib_SYS_LogPrintf(ENGINE_LOG_M,__VA_ARGS__)
// USBデバッグ機能設定に関わらず、Flash(不揮発領域への)ログ[M]を出力
#define rcplib_LOG_Flashf(...) rcplib_SYS_LogPrintf(ENGINE_LOG_M,__VA_ARGS__)
#endif

/* Define to prevent recursive inclusion -----------------------*/
#endif
