/**
  ******************************************************************************
  * @file    stm32h7xx_hal_i2c.h
  * @author  MCD Application Team
  * @brief   Header file of I2C HAL module.
  ******************************************************************************
  * @attention
  *
  * <h2><center>&copy; Copyright (c) 2017 STMicroelectronics.
  * All rights reserved.</center></h2>
  *
  * This software component is licensed by ST under BSD 3-Clause license,
  * the "License"; You may not use this file except in compliance with the
  * License. You may obtain a copy of the License at:
  *                        opensource.org/licenses/BSD-3-Clause
  *
  ******************************************************************************
  */
//---- stm32h7xx_hal_i2c.h ----

//** @defgroup I2C_ADDRESSING_MODE I2C Addressing Mode
#define I2C_ADDRESSINGMODE_7BIT         0x00000001
#define I2C_ADDRESSINGMODE_10BIT        0x00000002

//** @defgroup I2C_DUAL_ADDRESSING_MODE I2C Dual Addressing Mode
#define I2C_DUALADDRESS_DISABLE         0x00000000
#define I2C_DUALADDRESS_ENABLE          I2C_OAR2_OA2EN

//** @defgroup I2C_OWN_ADDRESS2_MASKS I2C Own Address2 Masks
#define I2C_OA2_NOMASK                  0x00
#define I2C_OA2_MASK01                  0x01
#define I2C_OA2_MASK02                  0x02
#define I2C_OA2_MASK03                  0x03
#define I2C_OA2_MASK04                  0x04
#define I2C_OA2_MASK05                  0x05
#define I2C_OA2_MASK06                  0x06
#define I2C_OA2_MASK07                  0x07

//** @defgroup I2C_GENERAL_CALL_ADDRESSING_MODE I2C General Call Addressing Mode
#define I2C_GENERALCALL_DISABLE         0x00000000
#define I2C_GENERALCALL_ENABLE          I2C_CR1_GCEN

//** @defgroup I2C_NOSTRETCH_MODE I2C No-Stretch Mode
#define I2C_NOSTRETCH_DISABLE           0x00000000
#define I2C_NOSTRETCH_ENABLE            I2C_CR1_NOSTRETCH
