///
// @file vibAPI.h
// @brief header file generate from sapp_vibration.kra
// @details
// @author This software is contributed or developed by KYOCERA Corporation.
// @copyright (C) 2022 KYOCERA Corporation
//
// SPDX-License-Identifier: MIT
//
///

// Define to prevent recursive inclusion -----------------------
#ifndef _SAPP_VIBRATION_KRA_
#define _SAPP_VIBRATION_KRA_

#ifdef C_SYNTAX
#define KC_EXPAND_RECIPE
#endif // C_SYNTAX

#ifndef KC_EXPAND_RECIPE

//////////////////////////////////////////////////////////////////
// *** define declaration that is not for recipe users *** //
//////////////////////////////////////////////////////////////////

#include "eventLib.h"

//////////////////////////////////////////////////////////////////
// API function //
//////////////////////////////////////////////////////////////////
// 初期化
#define VIB_API_INIT 0
#define VIB_Init() \
  EAPI_SendEvent(EAPI_TASKID_VIB,VIB_API_INIT,EAPI_UNSYNC_NORESULT,EAPI_TIMEOUT_ZERO)
#define VIB_API_SET_SENSE_MODE 256
#define VIB_SetSenseMode(sw,sens,notify_event_id) \
  EAPI_SendEvent(EAPI_TASKID_VIB,VIB_API_SET_SENSE_MODE,EAPI_SYNC_RESULT,1000,EAPI_VTYPE_U8,sw,EAPI_VTYPE_U16,sens,EAPI_VTYPE_U8,notify_event_id)
#define VIB_API_SET_COUNT_CLEAR_INTERVAL 257
#define VIB_SetCountInterval(count_timer) \
  EAPI_SendEvent(EAPI_TASKID_VIB,VIB_API_SET_COUNT_CLEAR_INTERVAL,EAPI_UNSYNC_NORESULT,EAPI_TIMEOUT_ZERO,EAPI_VTYPE_U32,count_timer)
//////////////////////////////////////////////////////////////////
// common define //
//////////////////////////////////////////////////////////////////
// 動作指定(sw)
#define VIB_SENSE_ENABLE 1
#define VIB_SENSE_DISABLE 0
// 検知状態通知
#define VIB_SENSE_SINGLE 1
#define VIB_SENSE_MULTI 2
#define VIB_SENSE_CANCEL 3

#else

//////////////////////////////////////////////////////////////////
// *** define declaration for recipe users *** //
//////////////////////////////////////////////////////////////////
#include "taskid.h"
#include "eventLib.h"

//////////////////////////////////////////////////////////////////
// API function //
//////////////////////////////////////////////////////////////////
// 初期化
#define VIB_API_INIT 0
func sys_api_VIB_Init() {
  return(rcplib_TASK_SendEvent(EAPI_TASKID_VIB,VIB_API_INIT,EAPI_UNSYNC_NORESULT,EAPI_TIMEOUT_ZERO));
}
#define VIB_Init() sys_api_VIB_Init()
#define VIB_API_SET_SENSE_MODE 256
#ifndef YIELD_TO_BASIC_INFOROMATION // for VS code view
func sys_api_VIB_SetSenseMode(uint8 sw, uint16 sens, uint8 notify_event_id) {
  rcplib_TASK_SetArg(EAPI_VTYPE_U8,sw);
  rcplib_TASK_SetArg(EAPI_VTYPE_U16,sens);
  rcplib_TASK_SetArg(EAPI_VTYPE_U8,notify_event_id);
  return(rcplib_TASK_SendEvent(EAPI_TASKID_VIB,VIB_API_SET_SENSE_MODE,EAPI_SYNC_RESULT,1000));
}
#define VIB_SetSenseMode(sw,sens,notify_event_id) sys_api_VIB_SetSenseMode(sw,sens,notify_event_id)
#endif // YIELD_TO_BASIC_INFOROMATION
#define VIB_API_SET_COUNT_CLEAR_INTERVAL 257
#ifndef YIELD_TO_BASIC_INFOROMATION // for VS code view
func sys_api_VIB_SetCountInterval(uint32 count_timer) {
  rcplib_TASK_SetArg(EAPI_VTYPE_U32,count_timer);
  return(rcplib_TASK_SendEvent(EAPI_TASKID_VIB,VIB_API_SET_COUNT_CLEAR_INTERVAL,EAPI_UNSYNC_NORESULT,EAPI_TIMEOUT_ZERO));
}
#define VIB_SetCountInterval(count_timer) sys_api_VIB_SetCountInterval(count_timer)
#endif // YIELD_TO_BASIC_INFOROMATION
//////////////////////////////////////////////////////////////////
// common define //
//////////////////////////////////////////////////////////////////
// 動作指定(sw)
#define VIB_SENSE_ENABLE 1
#define VIB_SENSE_DISABLE 0
// 検知状態通知
#define VIB_SENSE_SINGLE 1
#define VIB_SENSE_MULTI 2
#define VIB_SENSE_CANCEL 3

#endif

#endif
